Draft Rotate/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Możliwości==")
(Created page with "* Naciśnij klawisz {{KEY|X}}, {KEY|Y} lub {KEY|Z} po punkcie, aby związać kolejny punkt na danej osi. * Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby,...")
Line 43: Line 43:
==Możliwości==
==Możliwości==


* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* Naciśnij klawisz {{KEY|X}}, {KEY|Y} lub {KEY|Z} po punkcie, aby związać kolejny punkt na danej osi.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby, a następnie naciśnij klawisz {{KEY|Enter}} między każdą składową '''X''', '''Y''' i '''Z'''. Możesz nacisnąć przycisk {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|dodaj punkt]]}}, gdy masz wprowadzone żądane wartości do wstawienia punktu.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Rotate tool will restart after you finish the operation, allowing you to rotate or copy the objects again without pressing the tool button again.
* Press {{KEY|P}} or click the checkbox to toggle ''copy'' mode. If copy mode is on, the Rotate tool will keep the original shape in its place but will make a copy at the set angle set by the third point.
:You can use both {{KEY|T}} and {{KEY|P}} to place several copies in sequence. In this case, the duplicated element is the last placed copy.
* Hold {{KEY|Alt}} after the second point to also toggle copy mode. Keeping {{KEY|Alt}} pressed after clicking on the third point will allow you to continue placing copies using the same rotation base point and baseline; release {{KEY|Alt}} to finish the operation and see all copies.
* Hold {{KEY|Ctrl}} while rotating to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Hold {{KEY|Shift}} while rotating to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the rotation base point.
* Press {{KEY|Esc}} or the {{button|Close}} button to abort the current command; copies already placed will remain.


==Pisanie skryptów==
==Pisanie skryptów==

Revision as of 15:53, 26 January 2020

Draft Rotate

Lokalizacja w menu
Draft → Rotate
Środowisko pracy
Draft, Arch
Domyślny skrót
R O
Wprowadzono w wersji
0.7
Zobacz także
Draft Move, Draft Array

Opis

Narzędzie Obróć obraca lub kopiuje wybrane obiekty o zadany kąt wokół punktu odniesienia.

Narzędzie Obróć może być używane dla kształtów 2D utworzonych za pomocą Środowisk pracy Draft lub Sketcher, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą Part lub Arch.

Aby przesuwać obiekty bez obracania, użyj Move. Aby wykonać różne kopie w różnych układach, należy użyć Array, Path Array i PointArray.

Obracanie jednego obiektu przy użyciu środkowego punktu odniesienia, pomiędzy jednym kątem odniesienia a drugim

.

Jak używać

  1. Wybierz obiekty, które chcesz przesunąć lub skopiować.
  2. Naciśnij przycisk Obraca wybrane elementy ... lub wciśnij klawisz R a następnie O. Jeśli nie zostanie wybrany żaden obiekt, zostaniesz poproszony o wybranie jednego z nich.
  3. Kliknij pierwszy punkt na widoku 3D, lub wpisz koordynaty i naciśnij dodaj punkt. Służy on jako punkt bazowy operacji, tędy przebiegać będzie oś obrotu.
  4. Kliknij drugi punkt na widoku 3D lub wpisz kąt podstawy. Definiuje on linię bazową, która wykona obrót wokół pierwszego punktu.
  5. Kliknij trzeci punkt na widoku 3D lub wpisz kąt obrotu. Określa on obrót linii bazowej, a tym samym obiektów.

Ograniczenia

Podczas obracania obiektu, który jest oparty na Sketch, na przykład, element utworzony za pomocą Środowisk pracy Part Design, (Pad, Revolution, itd.) musisz przesunąć oryginalny szkic. Jeśli przesuniesz obiekt pochodny, powróci on do pozycji zdefiniowanej w szkicu.

Możliwości

  • Naciśnij klawisz X, {KEY|Y} lub {KEY|Z} po punkcie, aby związać kolejny punkt na danej osi.
  • Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby, a następnie naciśnij klawisz Enter między każdą składową X, Y i Z. Możesz nacisnąć przycisk dodaj punkt, gdy masz wprowadzone żądane wartości do wstawienia punktu.

Pisanie skryptów

Zobacz również: Draft API oraz Podstawy pisania skryptów dla FreeCAD.

The Rotate tool can be used in macros and from the Python console by using the following function:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Rotates the base point of the objects in objectlist by the given angle.
    • objectlist is either a single object or a list of objects.
    • If a rotation base point (center), and axis are given, they are used; otherwise the rotation is based on the origin and around the Z axis.
The rotation angle is relative to the base point of the object, which means that if an object is rotated 45 degrees, and then another 45 degrees, it will have rotated 90 degrees in total from its original position.
  • If copy is True copies are created instead of rotating the original objects.
  • rotatedlist is returned with the original rotated objects, or with the new copies.
    • rotatedlist is either a single object or a list of objects, depending on the input objectlist.

Przykład:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)